tigase.jaxmpp.core.client.xmpp.modules.streammng

## Interface StreamManagementModule.StreamManagementFailedHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    AbstractSocketXmppSessionLogic, SocketXmppSessionLogic, WebSocketXmppSessionLogic
  Enclosing class:
    StreamManagementModule

      public static interface StreamManagementModule.StreamManagementFailedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `StreamManagementModule.StreamManagementFailedHandler.StreamManagementFailedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStreamManagementFailed(SessionObject sessionObject, XMPPException.ErrorCondition condition)`

- - ### Method Detail

    - #### onStreamManagementFailed

          void onStreamManagementFailed(SessionObject sessionObject,
                                        XMPPException.ErrorCondition condition)

Copyright © 2006–2020 Tigase. All rights reserved.